Public Member Functions
Rig Class Reference

## Detailed Description

Base class for object with an interest i.e.: CameraRig and LightRig.

`#include <xsi_rig.h>`

Inheritance diagram for Rig:
[legend]

List of all members.

## Public Member Functions
| Rig ()
| ~Rig ()
| Rig (const CRef &in_ref)
| Rig (const Rig &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
Rig & | operator= (const Rig &in_obj)
Rig & | operator= (const CRef &in_ref)
CStatus | AddDirectedObject (Directed &in_dirObj, X3DObject &in_interest)

## Constructor & Destructor Documentation

Rig | ( |  | ) |

Default constructor.

~Rig | ( |  | ) |

Default destructor.

Rig | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

Rig | ( | const Rig & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from Null.

Reimplemented in CameraRig, and LightRig.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from Null.

Reimplemented in CameraRig, and LightRig.

Rig& operator= | ( | const Rig & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new Rig object.

Rig& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new Rig object.

Reimplemented from Null.

Reimplemented in CameraRig, and LightRig.

CStatus AddDirectedObject | ( | Directed & | in_dirObj,
|  | X3DObject & | in_interest
| ) |  |

Adds a directed object to this rig.

Parameters:

  in_dirObj | directed object.
  in_interest | interest of this directed object.

Returns:
  CStatus::OK success
  CStatus::Fail failure

The documentation for this class was generated from the following file:

- xsi_rig.h